## step 20.04.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.5)
 
 # KDE Application Version, managed by release script
-set(KDE_APPLICATIONS_VERSION_MAJOR "19")
-set(KDE_APPLICATIONS_VERSION_MINOR "12")
-set(KDE_APPLICATIONS_VERSION_MICRO "3")
-set(KDE_APPLICATIONS_VERSION "${KDE_APPLICATIONS_VERSION_MAJOR}.${KDE_APPLICATIONS_VERSION_MINOR}.${KDE_APPLICATIONS_VERSION_MICRO}")
+set(RELEASE_SERVICE_VERSION_MAJOR "20")
+set(RELEASE_SERVICE_VERSION_MINOR "04")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
-project(step VERSION ${KDE_APPLICATIONS_VERSION})
+project(step VERSION ${RELEASE_SERVICE_VERSION})
 
 find_package(ECM 1.7.0 REQUIRED NO_MODULE)
 find_package(KF5DocTools)
@@ -46,21 +46,21 @@
 
 set_package_properties(EIGEN3 PROPERTIES
                        DESCRIPTION "Eigen3"
-                       URL "http://eigen.tuxfamily.org"
+                       URL "https://eigen.tuxfamily.org"
                        TYPE OPTIONAL
                        PURPOSE "Required to build step")
 
 set_package_properties(QALCULATE PROPERTIES
 # 		       REQUIRED_VERSION "0.9.5"
                        DESCRIPTION "Qalculate"
-                       URL "http://qalculate.sourceforge.net/"
+                       URL "https://qalculate.github.io/"
                        TYPE OPTIONAL
                        PURPOSE "Unit conversion support in Step")
 
 set_package_properties(GSL PROPERTIES
 # 		       REQUIRED_VERSION "1.8"
                        DESCRIPTION "GSL"
-                       URL "http://eigen.tuxfamily.org"
+                       URL "https://www.gnu.org/software/gsl/"
                        TYPE OPTIONAL
                        PURPOSE "Provides a GSL-powered solver for Step")
