## step 20.04.3

=== debian/changelog ===
step (4:20.04.3-0ubuntu2) groovy; urgency=medium

  * No-change rebuild against libqalculate21.

 -- Rik Mills <rikmills@kde.org>  Sat, 18 Jul 2020 08:13:08 +0100

step (4:20.04.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.04.3)

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Jul 2020 07:45:09 +0100
