=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Eshat Cakar <info@eshat.de>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 3.5.0~),
-               debhelper (>= 11~),
+               debhelper-compat (= 12),
                extra-cmake-modules (>= 1.7.0~),
                gettext,
                libeigen3-dev (>= 3.2.2~),
@@ -13,10 +13,12 @@
                libkf5config-dev,
                libkf5crash-dev,
                libkf5doctools-dev,
+               libkf5i18n-dev,
                libkf5iconthemes-dev,
-               libkf5khtml-dev,
+               libkf5kio-dev,
                libkf5newstuff-dev,
                libkf5plotting-dev,
+               libkf5textwidgets-dev,
                libqalculate-dev (>= 0.9.5),
                libqt5opengl5-dev (>= 5.4),
                libqt5svg5-dev (>= 5.4),
@@ -25,7 +27,7 @@
                qttools5-dev,
                shared-mime-info,
 Build-Conflicts: libeigen3-dev (<< 3.3.5-2~)
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: http://edu.kde.org/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/step
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/step.git
