## step 20.12.0

=== debian/changelog ===
step (4:20.12.0-1) unstable; urgency=medium

  * New upstream release (20.12.0).
  * Make all versioned Qt / KF5 build dependencies explicit.
  * Refresh copyright information.
  * Bump Standards-Version to 4.5.1, no change required.
  * Bump debhelper compatibility level to 13.
  * Refresh upstream metadata.
  * Update project homepage.
  * Removed Eshat Cakar from the uploaders, thanks for your work on the
    package!
  * Added myself to the uploaders.
  * Build with hardening=+all build hardening flag.
  * Borrow minimal upstream signing key from k3b.
  * Drop kde-l10n migration rules, not needed anymore after 2 stable relases.
  * Declare Rules-Requires-Root: no.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 29 Dec 2020 00:32:02 +0100
