## step 20.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,15 +2,17 @@
 
 # KDE Application Version, managed by release script
 set(RELEASE_SERVICE_VERSION_MAJOR "20")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
 set(RELEASE_SERVICE_VERSION_MICRO "1")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(step VERSION ${RELEASE_SERVICE_VERSION})
 
-find_package(ECM 1.7.0 REQUIRED NO_MODULE)
-find_package(KF5DocTools)
-set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
+set(QT_MIN_VERSION "5.2.0")
+set(KF5_MIN_VERSION "5.9.0")
+
+find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
+set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} )
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules" ${CMAKE_MODULE_PATH})
 
 include(KDEInstallDirs)
@@ -23,14 +25,13 @@
 include(FeatureSummary)
 include(ECMPoQmTools)
 
-find_package(Qt5 5.2 REQUIRED NO_MODULE COMPONENTS
+find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS
     Xml
     Svg
     OpenGL
-    Test
 )
 
-find_package(KF5 REQUIRED COMPONENTS
+find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
     Crash
     Config
     I18n
@@ -40,6 +41,7 @@
     Plotting
     TextWidgets
 )
+find_package(KF5DocTools ${KF5_MIN_VERSION})
 find_package(Eigen3 3.2.2 REQUIRED)
 find_package(GSL)
 find_package(Qalculate)
@@ -91,6 +93,10 @@
 add_subdirectory(step)
 add_subdirectory(autotests)
 
+ki18n_install(po)
+if (KF5DocTools_FOUND)
+    kdoctools_install(po)
+endif()
 install(FILES org.kde.step.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 
 find_package(SharedMimeInfo REQUIRED)
@@ -98,10 +104,5 @@
 update_xdg_mimetypes(${XDG_MIME_INSTALL_DIR})
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
-ecm_install_po_files_as_qm(poqm)
-ki18n_install(po)
-if (KF5DocTools_FOUND)
- kdoctools_install(po)
-endif()
 include(ECMOptionalAddSubdirectory)
 ecm_optional_add_subdirectory(po)
