=== debian/changelog ===
step (4:20.12.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Unregister the old /etc/xdg/step.knsrc conffile.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Thu, 07 Jan 2021 21:36:57 +0100
