=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                libgsl-dev,
                libkf5config-dev (>= 5.9.0~),
                libkf5crash-dev (>= 5.9.0~),
-               libkf5doctools-dev  (>= 5.9.0~),
+               libkf5doctools-dev (>= 5.9.0~),
                libkf5i18n-dev (>= 5.9.0~),
                libkf5iconthemes-dev (>= 5.9.0~),
                libkf5kio-dev (>= 5.9.0~),
