=== debian/changelog ===
step (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:49:44 +0000

step (4:21.08.1-0ubuntu2) jammy; urgency=medium

  * No change rebuild againt libqalculate22

 -- Rik Mills <rikmills@kde.org>  Thu, 28 Oct 2021 15:39:17 +0100
