=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: step
 Section: kde
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: cmake (>= 3.5.0~),
                debhelper-compat (= 13),
@@ -29,8 +30,8 @@
 Build-Conflicts: libeigen3-dev (<< 3.3.5-2~)
 Standards-Version: 4.5.1
 Homepage: https://apps.kde.org/en/step
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/step
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/step.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/step
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/step
 Rules-Requires-Root: no
 
 Package: step
