=== po/CMakeLists.txt ===
ki18n_install_ts_files(nn nn/scripts/step)
