=== step/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-ecm_setup_version(${KDE_APPLICATIONS_VERSION} VARIABLE_PREFIX STEP VERSION_HEADER step_version.h)
+ecm_setup_version(${RELEASE_SERVICE_VERSION} VARIABLE_PREFIX STEP VERSION_HEADER step_version.h)
 
 set(step_SRCS
     arrow.cc
@@ -87,7 +87,7 @@
 install(TARGETS step ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
 install(FILES step.kcfg DESTINATION  ${KDE_INSTALL_KCFGDIR})
 install(FILES stepui.rc DESTINATION  ${KDE_INSTALL_KXMLGUI5DIR}/step)
-install(FILES step.knsrc DESTINATION  ${KDE_INSTALL_CONFDIR})
+install(FILES step.knsrc DESTINATION  ${KDE_INSTALL_KNSRCDIR})
 install( PROGRAMS org.kde.step.desktop DESTINATION ${KDE_INSTALL_APPDIR} )
 
 add_subdirectory(icons)
