=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: step
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.5.0~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.9.0~),
@@ -13,7 +13,7 @@
                libgsl-dev,
                libkf5config-dev (>= 5.9.0~),
                libkf5crash-dev (>= 5.9.0~),
-               libkf5doctools-dev (>= 5.9.0~),
+               libkf5doctools-dev  (>= 5.9.0~),
                libkf5i18n-dev (>= 5.9.0~),
                libkf5iconthemes-dev (>= 5.9.0~),
                libkf5kio-dev (>= 5.9.0~),
@@ -28,10 +28,10 @@
                qttools5-dev (>= 5.2.0~),
                shared-mime-info,
 Build-Conflicts: libeigen3-dev (<< 3.3.5-2~)
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://apps.kde.org/en/step
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/step
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/step
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/step
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/step.git
 Rules-Requires-Root: no
 
 Package: step
