## step 22.04.3

=== debian/changelog ===
step (4:22.04.3-0ubuntu2) kinetic; urgency=medium

  * Remove lintian override, no longer needed with latest lintian

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 02 Aug 2022 12:35:17 +0100

step (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:37:05 +0100
